Skip to main content
GET
The tools a job needs. any_of_type marks a requirement any tool of the type satisfies.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
work_order_id
string
tool_id
string
tool_number
string
tool_name
string
tool_type_id
string
tool_type_name
string
tool_booking_id
string
quantity
string
required_from
string
required_to
string
requires_calibration
string
status
string
notes
string
any_of_type
string
is_booked
string
named_tool_issuable
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

any_of_type
boolean<boolean>
id
string<uuid>

Note: This is a Primary Key.

is_booked
boolean<boolean>
named_tool_issuable
boolean<boolean>
notes
string<text>
quantity
number<numeric>
required_from
string<timestamp with time zone>
required_to
string<timestamp with time zone>
requires_calibration
boolean<boolean>
row_version
integer<int64>
status
string<character varying>
Maximum string length: 20
tool_booking_id
string<uuid>

Note: This is a Foreign Key to tool_bookings.id.

tool_id
string<uuid>

Note: This is a Foreign Key to tools.id.

tool_name
string<character varying>
Maximum string length: 200
tool_number
string<character varying>
Maximum string length: 60
tool_type_id
string<uuid>

Note: This is a Foreign Key to tool_type_settings.id.

tool_type_name
string<character varying>
Maximum string length: 200
work_order_id
string<uuid>

Note: This is a Foreign Key to inspection_failures.found_in_work_order_id.